List accounts
client.account.list(AccountListParams { limit, offset } query?, RequestOptionsoptions?): AccountListResponse { data, object, totalCount }
GET/v1/accounts
Returns a paginated list of accounts. Use offset and limit to paginate through results, and $field query parameters to filter. See List endpoints for more information about pagination and filtering.
Required scope: accounts:read
Rate limit category: Search
Parameters
Returns
List accounts
import Lightfield from 'lightfield';
const client = new Lightfield({
apiKey: 'My API Key',
});
const accountListResponse = await client.account.list();
console.log(accountListResponse.data);{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}Returns Examples
{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}